> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update prompt configuration

> Update scene query configuration



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/scenequery/updatePromptConfiguration
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/scenequery/updatePromptConfiguration:
    post:
      tags:
        - Scene Query Webservice
      summary: Update prompt configuration
      description: Update scene query configuration
      operationId: updatePromptConfiguration
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Scenequery_UpdatePromptConfigurationWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Scenequery_UpdatePromptConfigurationWSResponse
          description: OK
components:
  schemas:
    Scenequery_UpdatePromptConfigurationWSRequest:
      type: object
      description: Request object for updating a prompt configuration.
      properties:
        promptConfiguration:
          $ref: '#/components/schemas/PromptConfigurationType'
    Scenequery_UpdatePromptConfigurationWSResponse:
      type: object
      description: Response object for updating a prompt configuration.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        promptConfiguration:
          $ref: '#/components/schemas/PromptConfigurationType'
        warningMsg:
          type: string
          nullable: true
    PromptConfigurationType:
      type: object
      description: Updated prompt configuration
      properties:
        active:
          type: boolean
          nullable: true
        cameraConfigurations:
          type: array
          items:
            $ref: '#/components/schemas/CameraConfiguration'
          nullable: true
        checkCondition:
          $ref: '#/components/schemas/CheckCondition'
        description:
          type: string
          nullable: true
        generateAlertForActionNewlyAddedCameras:
          type: boolean
          nullable: true
        multiImageTimeDeltasSeconds:
          type: array
          items:
            type: integer
            format: int32
            nullable: true
          nullable: true
        name:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        prompt:
          type: string
          nullable: true
        promptType:
          $ref: '#/components/schemas/PromptTypeEnum'
        reportsEnabled:
          type: boolean
          nullable: true
        scheduleUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        shortName:
          type: string
          nullable: true
        trigger:
          $ref: '#/components/schemas/Trigger'
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    CameraConfiguration:
      type: object
      properties:
        cameraUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        checkConditionOverride:
          $ref: '#/components/schemas/CheckCondition'
        exampleImages:
          type: array
          items:
            $ref: '#/components/schemas/ExampleImage'
          nullable: true
        promptExtension:
          type: string
          nullable: true
        promptOverride:
          type: string
          nullable: true
        region:
          $ref: '#/components/schemas/RegionPolygonType'
        scheduledActions:
          type: array
          items:
            $ref: '#/components/schemas/ScheduledAction'
          nullable: true
    CheckCondition:
      type: object
      nullable: true
      properties:
        operator:
          $ref: '#/components/schemas/OPERATOREnum'
        value:
          type: string
          nullable: true
    PromptTypeEnum:
      type: string
      enum:
        - COUNT
        - PERCENT
        - BOOLEAN
        - TEXT
    Trigger:
      type: object
      properties:
        activity:
          $ref: '#/components/schemas/TriggerActivityEnum'
        value:
          type: string
          nullable: true
    ExampleImage:
      type: object
      properties:
        image:
          type: string
          nullable: true
        imageUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        label:
          type: string
          nullable: true
    RegionPolygonType:
      type: object
      properties:
        coordinates:
          type: array
          items:
            $ref: '#/components/schemas/RegionCoordinateType'
          nullable: true
    ScheduledAction:
      type: object
      properties:
        action:
          $ref: '#/components/schemas/RuleActionType'
        backoffMinutes:
          type: integer
          format: int32
          nullable: true
        backoffSeconds:
          type: integer
          format: int32
          nullable: true
        ruleUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        scheduleUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    OPERATOREnum:
      type: string
      enum:
        - GT
        - LT
        - LTE
        - GTE
        - EQ
        - CONTAINS
    TriggerActivityEnum:
      type: string
      enum:
        - MOTION_HUMAN
        - VISUAL_TAMPER
        - MOTION
        - FACE_ALERT
        - POSE_ANOMALOUS
        - MOTION_CAR
        - LICENSEPLATE_ALERT
        - HELMET_MISSING
        - MASK_MISSING
        - TAMPER
        - PEOPLECOUNT_HIGH
        - GUN_DETECT_EVENT
        - HUMAN_ENTER
        - HUMAN_EXIT
        - CAR_ENTER
        - CAR_EXIT
        - AC_DB_TRIGGERED
        - RECURRING_INTERVAL
    RegionCoordinateType:
      type: object
      properties:
        x:
          type: number
          format: float
          nullable: true
        'y':
          type: number
          format: float
          nullable: true
    RuleActionType:
      type: object
      description: The action to take when this lockdown rule is triggered.
      properties:
        activateLocationLockdown:
          $ref: '#/components/schemas/ActivateLocationLockdownActionType'
        alertAction:
          type: boolean
          nullable: true
        audioPlaybackActions:
          type: array
          items:
            $ref: '#/components/schemas/AudioPlaybackActionType'
          nullable: true
        cancelLoopingAudioPlaybackAction:
          $ref: '#/components/schemas/CancelLoopingAudioPlaybackActionType'
        changeComponentCompositeAccessStateActions:
          type: array
          items:
            $ref: '#/components/schemas/ChangeComponentCompositeAccessStateActionType'
          nullable: true
        connectAudioDeviceToMobileAppAction:
          $ref: '#/components/schemas/ConnectAudioDeviceToMobileAppActionType'
        connectAudioDeviceToPhoneNumberAction:
          $ref: '#/components/schemas/ConnectAudioDeviceToPhoneNumberActionType'
        customActions:
          type: array
          items:
            $ref: '#/components/schemas/CustomRuleAction'
          nullable: true
        customLLMActions:
          type: array
          items:
            $ref: '#/components/schemas/CustomLLMActionType'
          nullable: true
        enableDisableAudioRecordActions:
          type: array
          items:
            $ref: '#/components/schemas/EnableDisableAudioRecordActionType'
          nullable: true
        integrationCommandActions:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationCommandActionType'
          nullable: true
        integrationNotificationActions:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationNotificationActionType'
          nullable: true
        liveNotificationAction:
          type: boolean
          nullable: true
        remoteDoorUnlockActions:
          type: array
          items:
            $ref: '#/components/schemas/RemoteDoorUnlockActionType'
          nullable: true
        robotActions:
          type: array
          items:
            $ref: '#/components/schemas/RobotAction'
          nullable: true
        thirdPartyAudioPlaybackAction:
          $ref: '#/components/schemas/ThirdPartyAudioPlaybackActionType'
        triggerComponentRelayActions:
          type: array
          items:
            $ref: '#/components/schemas/TriggerComponentRelayActionType'
          nullable: true
        webhookActions:
          type: array
          items:
            $ref: '#/components/schemas/WebhookActionType'
          nullable: true
    ActivateLocationLockdownActionType:
      type: object
      properties:
        locationLockdownPlanUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AudioPlaybackActionType:
      type: object
      properties:
        audioClipUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        audioGateways:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        loopDurationSec:
          type: integer
          format: int32
          nullable: true
        playCount:
          type: integer
          format: int32
          nullable: true
    CancelLoopingAudioPlaybackActionType:
      type: object
      properties:
        _audioDevices:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        audioDevices:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
    ChangeComponentCompositeAccessStateActionType:
      type: object
      properties:
        accessState:
          $ref: '#/components/schemas/AccessControlledDoorStateEnumType'
        alwaysCreateOverrideIfNoFirstIn:
          type: boolean
          nullable: true
        componentCompositeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        expirationStrategy:
          $ref: '#/components/schemas/AccessStateOverrideExpirationStrategyEnum'
        expireTimeDelaySeconds:
          type: integer
          format: int64
          nullable: true
        expireTimeOfDayLocalSeconds:
          type: integer
          format: int64
          nullable: true
        useFirstInRulesIfPossible:
          type: boolean
          nullable: true
        version:
          type: integer
          format: int32
          nullable: true
          readOnly: true
    ConnectAudioDeviceToMobileAppActionType:
      type: object
      properties:
        audioDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        deviceType:
          $ref: '#/components/schemas/DeviceTypeEnum'
        doorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        targetUserUuids:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
    ConnectAudioDeviceToPhoneNumberActionType:
      type: object
      properties:
        audioDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        deviceType:
          $ref: '#/components/schemas/DeviceTypeEnum'
        doorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        optionalGreeting:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
    CustomRuleAction:
      type: object
      properties:
        headers:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        path:
          type: string
          nullable: true
    CustomLLMActionType:
      type: object
      properties:
        deviceActivityEvents:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ActivityEventData'
            nullable: true
          nullable: true
        deviceFacetUuids:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        promptUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
    EnableDisableAudioRecordActionType:
      type: object
      properties:
        audioDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        enable:
          type: boolean
          nullable: true
    IntegrationCommandActionType:
      type: object
      properties:
        commandPayload:
          type: string
          nullable: true
        delaySecs:
          type: integer
          format: int32
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
    IntegrationNotificationActionType:
      type: object
      properties:
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        notificationEntity:
          type: string
          nullable: true
        notificationTarget:
          type: string
          nullable: true
    RemoteDoorUnlockActionType:
      type: object
      properties:
        doorId:
          type: string
          nullable: true
        placeId:
          type: string
          nullable: true
        system:
          $ref: '#/components/schemas/RemoteDoorUnlockSystemEnum'
    RobotAction:
      type: object
      discriminator:
        mapping:
          DEPLOY:
            $ref: '#/components/schemas/DeployRobotAction'
          UNKNOWN:
            $ref: '#/components/schemas/NoOpAction'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/DeployRobotAction'
        - $ref: '#/components/schemas/NoOpAction'
      properties:
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        type:
          $ref: '#/components/schemas/RobotActionTypeEnum'
    ThirdPartyAudioPlaybackActionType:
      type: object
      properties:
        audioFileName:
          type: string
          nullable: true
        ipAddress:
          type: string
          nullable: true
        loopDurationSec:
          type: integer
          format: int32
          nullable: true
        password:
          type: string
          nullable: true
        playCount:
          type: integer
          format: int32
          nullable: true
        proxyDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        username:
          type: string
          nullable: true
    TriggerComponentRelayActionType:
      type: object
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        outputType:
          $ref: '#/components/schemas/ComponentRelayOutputTypeEnum'
        overrideRelayDurationMs:
          type: integer
          format: int32
          nullable: true
        overrideRelayDurationSec:
          type: integer
          format: int32
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        state:
          $ref: '#/components/schemas/GenericRelayStateEnumType'
        version:
          type: integer
          format: int32
          nullable: true
          readOnly: true
    WebhookActionType:
      type: object
      properties:
        headers:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        oauthClientId:
          type: string
          nullable: true
        oauthClientSecret:
          type: string
          nullable: true
        oauthGrantType:
          type: string
          nullable: true
        oauthScope:
          type: string
          nullable: true
        oauthUrl:
          type: string
          nullable: true
        webhookSecret:
          type: string
          nullable: true
        webhookUrl:
          type: string
          nullable: true
    AccessControlledDoorStateEnumType:
      type: string
      enum:
        - UNLOCKED
        - ACCESS_CONTROLLED
    AccessStateOverrideExpirationStrategyEnum:
      type: string
      enum:
        - TIME_DELAY
        - TIME_OF_DAY_LOCAL
        - NONE
    DeviceTypeEnum:
      type: string
      enum:
        - BLE_TRACKER
        - CAMERA
        - DOOR_SENSOR
        - ENVIRONMENTAL_SENSOR
        - OCCUPANCY_SENSOR
        - AUDIO_GATEWAY
        - EXECUTABLE
        - BADGE_READER
        - DOOR_CONTROLLER
        - BLE_BUTTON
        - IO_BOARD
        - ENVIRONMENTAL_GATEWAY
        - NVR
        - ROBOT
        - UNKNOWN
    ActivityEventData:
      type: object
      properties:
        activities:
          type: array
          items:
            $ref: '#/components/schemas/ActivityEnum'
          nullable: true
        boundingBoxes:
          type: array
          items:
            $ref: '#/components/schemas/ClipBoundingBoxType'
          nullable: true
        durationSec:
          type: integer
          format: int32
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
    IntegrationEnum:
      type: string
      enum:
        - AVIGILON_ALTA
        - BOULEVARD
        - BRIVO
        - BUTTERFLY_MX
        - DEVICE_INTEGRATION
        - DICE
        - ENVOY
        - FLIC
        - GENEA
        - GOOGLE
        - HONEYWELL_ELEMENTS
        - GUEST_MANAGEMENT
        - INFORMACAST
        - INNER_RANGE
        - KISI
        - LUMEO
        - MICROSOFT_TEAMS
        - OMNIALERT
        - OPENAI
        - OPENTECH_ALLIANCE
        - PIMLOC
        - PLACE_OS
        - PRODATAKEY
        - SHELLY
        - TOAST
        - WEBHOOKS
        - ZAPIER
        - RAPTOR
        - NINEONEONE_CELLULAR
        - SLACK
        - APERIO
        - PAR_POS
        - HONEYWELL_ONGUARD
        - HONEYWELL_NETBOX
        - SIGNATURE_API
        - UNKNOWN
    RemoteDoorUnlockSystemEnum:
      type: string
      enum:
        - BRIVO
        - OPENPATH
        - KISI
        - PLACEOS
        - GENEA
        - PDK
        - INNER_RANGE
        - RHOMBUS
        - HONEYWELL_ELEMENTS
        - UNKNOWN
    DeployRobotAction:
      type: object
      allOf:
        - type: object
          properties:
            mapUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            navType:
              $ref: '#/components/schemas/NavigationTypeEnum'
            pose:
              $ref: '#/components/schemas/Pose'
            routeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            waypointUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        type:
          $ref: '#/components/schemas/RobotActionTypeEnum'
    NoOpAction:
      type: object
      allOf: []
      nullable: true
      properties:
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        type:
          $ref: '#/components/schemas/RobotActionTypeEnum'
    RobotActionTypeEnum:
      type: string
      enum:
        - DEPLOY
        - UNKNOWN
    ComponentRelayOutputTypeEnum:
      type: string
      enum:
        - TRANSIENT
        - STEADY
    GenericRelayStateEnumType:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - UNKNOWN
    ActivityEnum:
      type: string
      enum:
        - SOUND_LOUD
        - SOUND_GUN_SHOT
        - TAMPER
        - VISUAL_TAMPER
        - MOTION_TAMPER
        - MOTION
        - MOTION_HUMAN
        - MOTION_CAR
        - MOTION_ANIMAL
        - FACE
        - FACE_IDENTIFIED
        - FACE_UNIDENTIFIED
        - FACE_BLACKLISTED
        - FACE_ALERT
        - POSE_ANOMALOUS
        - POSE_FALL
        - LICENSEPLATE
        - LICENSEPLATE_IDENTIFIED
        - LICENSEPLATE_UNIDENTIFIED
        - LICENSEPLATE_ALERT
        - LICENSEPLATE_BLACKLISTED
        - LICENSEPLATE_TRUSTED
        - PEOPLECOUNT_HIGH
        - PEOPLECOUNT_HIGH_RESET
        - PEOPLECOUNT_LOW
        - PEOPLECOUNT_LOW_RESET
        - HUMAN_ENTER
        - HUMAN_EXIT
        - CAR_ENTER
        - CAR_EXIT
        - TEMPERATURE_EXCEEDED_HIGH
        - TEMPERATURE_EXCEEDED_LOW
        - HUMIDITY_EXCEEDED_HIGH
        - HUMIDITY_EXCEEDED_LOW
        - PM25_EXCEEDED_HIGH
        - TVOC_EXCEEDED_HIGH
        - ETOH_EXCEEDED_HIGH
        - IAQ_EXCEEDED_HIGH
        - CO2_EXCEEDED_HIGH
        - CO2_EXCEEDED_LOW
        - PROBE_TEMPERATURE_EXCEEDED_HIGH
        - PROBE_TEMPERATURE_EXCEEDED_LOW
        - PROBE_DISCONNECTED
        - PROBE_CONNECTED
        - HEAT_INDEX_EXCEEDED_HIGH
        - PRESSURE_EXCEEDED_HIGH
        - PRESSURE_EXCEEDED_LOW
        - PM10_EXCEEDED_HIGH
        - PM40_EXCEEDED_HIGH
        - PM100_EXCEEDED_HIGH
        - VOC_IDX_EXCEEDED_HIGH
        - NOX_IDX_EXCEEDED_HIGH
        - FORMALDEHYDE_EXCEEDED_HIGH
        - CARBON_MONOXIDE_EXCEEDED_HIGH
        - AQI_EXCEEDED_HIGH
        - DOOR_AJAR
        - DOOR_OPENED
        - DOOR_CLOSED
        - BUTTON_SINGLE_PRESSED
        - BUTTON_DOUBLE_PRESSED
        - BUTTON_LONG_PRESSED
        - TAG_ARRIVED
        - TAG_DEPARTED
        - TAG_MOVED
        - TAG_POSITIONING_CHANGED
        - TAG_BOUNDARY_INGRESS
        - TAG_BOUNDARY_EGRESS
        - TAG_PANIC
        - BADGE_AUTHORIZED
        - BADGE_UNAUTHORIZED
        - BADGE_UNAUTHORIZED_V2
        - BADGE_AJAR
        - BADGE_MANUAL
        - BADGE_FORCED_OPEN
        - BADGE_LOCKDOWN
        - BADGE_REQUEST_TO_EXIT
        - BADGE_DURESS
        - BADGE_SECURITY_BREACH
        - BADGE_TAMPER
        - BADGE_FACE_MISMATCH
        - POS_ORDER
        - GUN_DETECT_EVENT
        - IOT_SOUND_AGGRESSION
        - IOT_SOUND_HELP
        - IOT_AIR_CO
        - IOT_AIR_CO2
        - IOT_AIR_MASKING
        - IOT_AIR_THC
        - IOT_AIR_VAPE
        - IOT_AIR_VOC
        - IOT_AIR_TEMP
        - IOT_TAMPER
        - IOT_GUNSHOT
        - IOT_BUTTON_SINGLE_CLICK
        - IOT_BUTTON_DOUBLE_CLICK
        - IOT_BUTTON_HOLD
        - IOT_PANIC_BUTTON_TRIGGERED
        - AUDIO_SOUND_SIGNIFICANT
        - AUDIO_SOUND_LOUD
        - AUDIO_SOUND_ABUSIVE
        - AUDIO_SOUND_GREETING
        - AUDIO_SOUND_HELP
        - AUDIO_SOUND_GUN
        - AUDIO_SOUND_GLASS_BREAK
        - AUDIO_SOUND_ALARM_SMOKE_FIRE
        - AUDIO_SOUND_ALARM_CARBON_MONOXIDE
        - AUDIO_SOUND_SIREN
        - CLIMATE_VOC
        - CLIMATE_VAPE
        - CLIMATE_SMOKE
        - CLIMATE_THC
        - CLIMATE_CO2
        - CLIMATE_ETOH
        - CLIMATE_PM25
        - CLIMATE_IAQ
        - CLIMATE_LEAK
        - SOUND_AGGRESSION
        - SOUND_HELP
        - AIR_CO
        - AIR_CO2
        - AIR_MASKING
        - AIR_THC
        - AIR_VAPE
        - AIR_VOC
        - MASK_MISSING
        - HELMET_MISSING
        - GLOVES_MISSING
        - PIR_OCCUPIED
        - PIR_MOVEMENT
        - PIR_VACANT
        - CUSTOM
        - VISITOR_ARRIVED
        - VISITOR_DEPARTED
        - AC_DR_CONNECTED
        - AC_DR_DISCONNECTED
        - AC_DPI_DOOR_OPEN
        - AC_DPI_DOOR_CLOSED
        - AC_DPI_DOOR_AJAR
        - AC_DPI_DOOR_FORCED_OPEN
        - AC_DSR_UNLOCKED
        - AC_DSR_LOCKED
        - AC_DB_TRIGGERED
        - AC_PANIC_BUTTON_TRIGGERED
        - AC_REMOTE_UNLOCK
        - AC_BADGE_AUTHORIZED
        - AC_BADGE_UNAUTHORIZED
        - AC_BADGE_FACE_MISMATCH
        - AC_LOCKDOWN_ACTIVATED
        - AC_LOCKDOWN_DEACTIVATED
        - AC_TAMPER_PROX
        - AC_TAMPER_ACCEL
        - AC_TAMPER_SWITCH
        - AC_GR_ACTIVE
        - AC_GR_INACTIVE
        - AC_GI_ACTIVE
        - AC_GI_INACTIVE
        - AC_REX_ACTIVE
        - AC_REX_INACTIVE
        - AC_APERIO_DEVICE_DISCONNECTED
        - AC_APERIO_DEVICE_CONNECTED
        - AC_APERIO_DEVICE_REBOOT
        - AC_APERIO_DEVICE_TAMPER
        - AC_APERIO_LOW_BATTERY
        - AC_APERIO_FLAT_BATTERY
        - AC_APERIO_OK_BATTERY
        - POWER_SWITCH_BATTERY
        - POWER_SWITCH_PRIMARY
        - CUSTOM_LLM_BOOLEAN_TRUE
        - CUSTOM_LLM_BOOLEAN_FALSE
        - CUSTOM_LLM_THRESHOLD_EXCEEDED_LOW
        - CUSTOM_LLM_THRESHOLD_EXCEEDED_HIGH
        - ALM_AUTHORITIES_CONTACTED
        - ALM_MONITORING_ENABLED
        - ALM_MONITORING_DISABLED
        - ALM_MONITORING_SETTINGS_CHANGE
        - ALM_THREAT_CASE_CLOSED
        - ALM_THREAT_DETECTED
        - ALM_MONITORING_EVENT_DETECTED
        - ROBOT_DOG_DETECTED
        - ROBOT_ARRIVED_AT_WAYPOINT
        - ROBOT_ARRIVED_AT_POSE
        - ROBOT_WAITING_AT_POSE
        - ROBOT_MANUAL_CMD_VEL
        - ROBOT_MANUAL_ACTION
        - ROBOT_MANUAL_POSTURE
        - ROBOT_NAVIGATE_TO_POSE_START
        - ROBOT_NAVIGATE_TO_POSE_END
        - ROBOT_NAVIGATE_TO_HOME_START
        - ROBOT_NAVIGATE_TO_HOME_END
        - ROBOT_NAVIGATE_TO_WAYPOINT_START
        - ROBOT_NAVIGATE_TO_WAYPOINT_END
        - ROBOT_ROUTE_RUN_START
        - ROBOT_ROUTE_RUN_END
        - ROBOT_LOW_BATTERY_DOCKING
        - ROBOT_IDLE_DOCKING
        - ROBOT_EMERGENCY
        - LOITER_HUMAN
        - REID_HUMAN
        - INACTIVITY_HUMAN
        - INACTIVITY_CAR
        - ONGUARD_BADGE_AUTHORIZED
        - ONGUARD_BADGE_ANOMALY
        - ONGUARD_NO_ENTRY_MADE
        - ELEMENTS_BADGE_AUTHORIZED
        - ELEMENTS_BADGE_ANOMALY
        - ELEMENTS_NO_ENTRY_MADE
        - NETBOX_BADGE_AUTHORIZED
        - NETBOX_BADGE_ANOMALY
        - NETBOX_NO_ENTRY_MADE
        - UNKNOWN
    ClipBoundingBoxType:
      type: object
      properties:
        activity:
          $ref: '#/components/schemas/ActivityEnum'
        alert:
          type: boolean
          nullable: true
        bottom:
          type: integer
          format: int32
          nullable: true
        confidence:
          type: number
          format: float
          nullable: true
        croppedImageLocator:
          type: string
          nullable: true
        customActivityColor:
          $ref: '#/components/schemas/FootageSeekPointColorEnum'
        customActivityDescription:
          type: string
          nullable: true
        customActivityDisplayName:
          type: string
          nullable: true
        dwelling:
          type: boolean
          nullable: true
        faceName:
          type: string
          nullable: true
        inMotion:
          type: boolean
          nullable: true
        keypointsV2:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PointType'
          nullable: true
        left:
          type: integer
          format: int32
          nullable: true
        licensePlate:
          type: string
          nullable: true
        loudness:
          type: integer
          format: int32
          nullable: true
        objectId:
          type: integer
          format: int32
          nullable: true
        pose:
          type: string
          nullable: true
        relativeSecond:
          type: number
          format: float
          nullable: true
        right:
          type: integer
          format: int32
          nullable: true
        sensorValType:
          $ref: '#/components/schemas/SensorValType'
        stableTrackId:
          type: integer
          format: int32
          nullable: true
        toastOrderIdInfo:
          $ref: '#/components/schemas/ToastOrderIdType'
        top:
          type: integer
          format: int32
          nullable: true
        unidentifiedFaceId:
          type: string
          nullable: true
        vehicleName:
          type: string
          nullable: true
    NavigationTypeEnum:
      type: string
      enum:
        - ROUTE
        - WAYPOINT
        - POSE
    Pose:
      type: object
      properties:
        orientation:
          type: array
          items:
            type: number
            format: double
            description: Serialized as [x, y, z, w]
          maxItems: 4
          minItems: 4
          nullable: true
        position:
          type: array
          items:
            type: number
            format: double
            description: Serialized as [x, y, z]
          maxItems: 3
          minItems: 3
          nullable: true
    FootageSeekPointColorEnum:
      type: string
      enum:
        - BLUE
        - RED
        - PURPLE
        - TAN
        - ORANGE
        - TEAL
        - GRAY
        - BLACK
    PointType:
      type: object
      properties:
        x:
          type: integer
          format: int32
          nullable: true
        'y':
          type: integer
          format: int32
          nullable: true
    SensorValType:
      type: object
      properties:
        sensorBoolean:
          type: boolean
          nullable: true
        sensorDouble:
          type: number
          format: double
          nullable: true
        sensorLong:
          type: integer
          format: int64
          nullable: true
    ToastOrderIdType:
      type: object
      properties:
        employeeName:
          type: string
          nullable: true
        guid:
          type: string
          nullable: true
        locationName:
          type: string
          nullable: true
        restaurantName:
          type: string
          nullable: true
        toastCheckInfo:
          $ref: '#/components/schemas/ToastCheckInfo'
    ToastCheckInfo:
      type: object
      properties:
        totalAmount:
          type: number
          format: double
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````